Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.event
Class DefaultAuditEventBuilderImpl

    java.lang.Object
      org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl

All Implemented Interfaces:
  AuditEventBuilder

Direct Known Subclasses:
  ManagedAuditEventBuilderImpl, ServicesAwareAuditEventBuilder

    public class DefaultAuditEventBuilderImpl

extends Object
implements AuditEventBuilder

Constructor Summary
`DefaultAuditEventBuilderImpl()`

Method Summary
`AuditEvent` | `buildEvent(ProcessCompletedEvent pce, Object log)`
`AuditEvent` | `buildEvent(ProcessNodeLeftEvent pnle, Object log)`
`AuditEvent` | `buildEvent(ProcessNodeTriggeredEvent pnte)`
`AuditEvent` | `buildEvent(ProcessNodeTriggeredEvent pnte, Object log)`
`AuditEvent` | `buildEvent(ProcessStartedEvent pse)`
`AuditEvent` | `buildEvent(ProcessVariableChangedEvent pvce)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAuditEventBuilderImpl

    public DefaultAuditEventBuilderImpl()

Method Detail

### buildEvent

    public AuditEvent buildEvent(ProcessStartedEvent pse)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`

### buildEvent

    public AuditEvent buildEvent(ProcessCompletedEvent pce,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeTriggeredEvent pnte)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeTriggeredEvent pnte,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeLeftEvent pnle,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`

### buildEvent

    public AuditEvent buildEvent(ProcessVariableChangedEvent pvce)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.